Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.bpm.proxy
Class JpdProxy

    java.lang.Object
      com.bea.wli.bpm.proxy.JpdProxy

All Implemented Interfaces:
  Serializable

    public abstract class JpdProxy

extends Object
implements Serializable

Factory class for WebLogic Integration Processes (jpd files). Clients call one of the create methods to get a proxy instance. The create methods take the Class of the jpd's public contract. The return value of the create method can be cast to the public contract interface.

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `JpdProxy.ContextHandler` Clients pass an instance of this interface to the `create` method.

Constructor Summary
`JpdProxy()`

Method Summary
`static Object` | `create(Class publicContract, String serviceUri)` Creates a client proxy for a WebLogic Integration Process (jpd).
`static Object` | `create(Class publicContract, String serviceUri, JpdProxy.ContextHandler ch)` Creates a client proxy for a WebLogic Integration Process (jpd).
`static Object` | `create(Class publicContract, String serviceUri, JpdProxy.ContextHandler ch, Boolean changeType)` Creates a client proxy for a WebLogic Integration Process (jpd).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpdProxy

    public JpdProxy()

Method Detail

### create

    public static final Object create(Class publicContract,
                                      String serviceUri,
                                      JpdProxy.ContextHandler ch,
                                      Boolean changeType)
                               throws JpdProxyException

  Creates a client proxy for a WebLogic Integration Process (jpd). A public contract interface that describes the methods of the jpd is passed in. The result of this call can be typecast to the public contract class. The `JpdProxy.ContextHandler` is invoked by the proxy to obtain the JNDI context used to login to the server and lookup server-side resources. A flag is set to indicate whether or not the SchemaType of the XMLObjects used in the arguments needs to be changed to XmlObject.type before serializing or not. Default is not to change the SchemaType of the objects. The serviceUri uniquely identifies the jpd on the server.

  Parameters:
    `publicContract` - the jpd's public contract interface
    `serviceUri` - the uri of the jpd
    `ch` - a context handler, see `JpdProxy.ContextHandler`
    `changeType` - the SchemaType of the XmlObject in the jpd request parameter
  Returns:
    a proxy object that can be cast to the public contract interface
  Throws:
    `JpdProxyException` - This exception wraps any checked exceptions thrown during construction of the proxy.

### create

    public static final Object create(Class publicContract,
                                      String serviceUri)
                               throws JpdProxyException

  Creates a client proxy for a WebLogic Integration Process (jpd). A public contract interface that describes the methods of the jpd is passed in. The result of this call can be typecast to the public contract class. The serviceUri uniquely identifies the jpd on the server. Use this method when the client is running on the same WLS domain as the target jpd.

  Parameters:
    `publicContract` - the jpd's public contract interface
    `serviceUri` - the uri of the jpd
  Returns:
    a proxy object that can be cast to the public contract interface
  Throws:
    `JpdProxyException` - This exception wraps any checked exceptions thrown during construction of the proxy.

### create

    public static final Object create(Class publicContract,
                                      String serviceUri,
                                      JpdProxy.ContextHandler ch)
                               throws JpdProxyException

  Creates a client proxy for a WebLogic Integration Process (jpd). A public contract interface that describes the methods of the jpd is passed in. The result of this call can be typecast to the public contract class. The `JpdProxy.ContextHandler` is invoked by the proxy to obtain the JNDI context used to login to the server and lookup server-side resources. The serviceUri uniquely identifies the jpd on the server.

  Parameters:
    `publicContract` - the jpd's public contract interface
    `serviceUri` - the uri of the jpd
    `ch` - a context handler, see `JpdProxy.ContextHandler`
  Returns:
    a proxy object that can be cast to the public contract interface
  Throws:
    `JpdProxyException` - This exception wraps any checked exceptions thrown during construction of the proxy.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD